=== debian/changelog ===
docbook-to-man (1:2.0.0-49) unstable; urgency=medium

  * Try and fix a shuffle bug. (Closes: #1105271)

 -- Chris Lamb <lamby@debian.org>  Mon, 18 Aug 2025 13:47:43 -0700

docbook-to-man (1:2.0.0-48) unstable; urgency=medium

  * Set -std=gnu17 to avoid a FTBFS under GCC 15. (Closes: #1096534)
  * Bump Standards-Version to 4.7.0.

 -- Chris Lamb <lamby@debian.org>  Tue, 18 Feb 2025 13:02:36 +0000

docbook-to-man (1:2.0.0-47) unstable; urgency=medium

  * Fix -Wint-conversion-related build failure with GCC 14. (Closes: #1074918)

 -- Chris Lamb <lamby@debian.org>  Wed, 03 Jul 2024 11:09:09 -0700

docbook-to-man (1:2.0.0-46) unstable; urgency=medium

  * Fix FTBFS with -Werror=implicit-function-declaration. (Closes: #1066680)
  * Update debian/gitlab-ci.yml.
  * Allow Lintian failures.
  * Drop no-upstream-changelog lintian message.
  * Bump Standards-Version to 4.6.2.

 -- Chris Lamb <lamby@debian.org>  Thu, 14 Mar 2024 15:05:34 +0000

docbook-to-man (1:2.0.0-45) unstable; urgency=medium

  * Ensure shunit2 autopkgtest dependency is cross-test friendly. Thanks, Steve
    Langasek. (Closes: #969604)

 -- Chris Lamb <lamby@debian.org>  Sat, 05 Sep 2020 22:44:32 +0100

docbook-to-man (1:2.0.0-44) unstable; urgency=medium

  * Fix compatibility with GCC-10, restoring /usr/bin/instant.
    (Closes: #968900)
  * Ensure build failures in subdirectories cause build failure of the whole
    package.
  * Refresh all patches.
  * Drop references to .travis.yml.

 -- Chris Lamb <lamby@debian.org>  Mon, 24 Aug 2020 12:59:14 +0100

docbook-to-man (1:2.0.0-43) unstable; urgency=medium

  [ Chris Lamb ]
  * Move to AUTOPKGTEST_TMP from deprecated ADTTMP.
  * Bump Standards-Version to 4.5.0.
  * Drop unused debian-watch-does-not-check-gpg-signature override.
  * Move to debhelper-compat level 13.
  * Set Rules-Requires-Root: no.
  * wrap-and-sort -sa.

  [ Debian Janitor ]
  * Use spaces in debian/copyright rather than tabs to start continuation
    lines.
  * Wrap long lines in changelog entries: 1:2.0.0-12.
  * Set debhelper-compat version in Build-Depends.
  * Fix day-of-week for changelog entry 1:2.0.0-3.


 -- Chris Lamb <lamby@debian.org>  Sat, 22 Aug 2020 16:28:11 +0100

docbook-to-man (1:2.0.0-42) unstable; urgency=medium

  * Update Vcs-* to point to salsa.debian.org.
  * Bump Standards-Version to 4.1.4.
  * Add debian/gbp.conf.

 -- Chris Lamb <lamby@debian.org>  Fri, 08 Jun 2018 17:42:46 +0100

docbook-to-man (1:2.0.0-41) unstable; urgency=medium

  * Move to debhelper compatibility level 11.
  * Bump Standards-Version to 4.1.3.
  * Add Lintian overrides:
    - no-upstream-changelog as they do not provide one.
    - watch-does-not-check-gpg-signature; upstream are not signing their
      releases.
  * Move to HTTPS Format: URI in debian/copyright.
  * Move upstream URIs to HTTPS.

 -- Chris Lamb <lamby@debian.org>  Sat, 17 Feb 2018 19:38:01 +0000

docbook-to-man (1:2.0.0-40) unstable; urgency=medium

  * Correct spelling mistakes in binaries.
  * Renumber/refresh all patches.
  * Bump Standards-Version to 4.1.1.
  * Remove whitespace from end of lines in debian/changelog.

 -- Chris Lamb <lamby@debian.org>  Mon, 30 Oct 2017 09:56:48 +0000

docbook-to-man (1:2.0.0-39) unstable; urgency=medium

  * Check stdout and stderr in autopkgtests.
  * Move autopkgtest to shunit2.
  * Add .travis.yml from <http://travis.debian.net>
  * Add /.travis.yml to extend-diff-ignore in debian/source/options.

 -- Chris Lamb <lamby@debian.org>  Mon, 25 Sep 2017 20:59:27 +0100

docbook-to-man (1:2.0.0-38) unstable; urgency=medium

  * Add autopkgtests.
  * Remove accidentally-included clipboard contents from debian/changelog.

 -- Chris Lamb <lamby@debian.org>  Sat, 12 Aug 2017 13:22:52 -0400

docbook-to-man (1:2.0.0-37) unstable; urgency=medium

  * Install manpages using debian/docbook-to-man.manpages over manual calls in
    debian/rules.
  * Tidy debian/rules file.

 -- Chris Lamb <lamby@debian.org>  Sun, 14 May 2017 19:08:56 +0200

docbook-to-man (1:2.0.0-36) unstable; urgency=medium

  * Adopt package.
  * Prevent undefined behaviour in memcpy parameter overlap; docbook-to-man
    can insert random characters into the output. e.g. it will sometimes
    generate an "I" instead of a literal tab. Thanks to Chris West
    <solo-debianbugs@goeswhere.com> and Yuri Gribov <tetra2005@gmail.com>
    (Closes: #842635, #858389)
  * Update Vcs-{Git,Browser}.
  * Tidy debian/rules.
  * Bump Standards-Version to 3.9.8>
  * Bump Debhelper compatibility level to 10.
  * Refresh all patches with `pq import` -> `pq export`.
  * Add myself to debian/copyright.

 -- Chris Lamb <lamby@debian.org>  Fri, 12 May 2017 11:02:11 +0200

docbook-to-man (1:2.0.0-35) unstable; urgency=medium

  * QA upload.
  * Change dependency from "sp|opensp" to just "opensp" since sp will be
    removed from Debian. Change all occurrences of sp commands to opensp
    commands (just slight name changes).

 -- Neil Roeth <neil@debian.org>  Sat, 17 Sep 2016 21:03:42 -0400

docbook-to-man (1:2.0.0-34) unstable; urgency=low

  [ Jérémy Bobbio ]
  * QA upload.
  * Set maintainer to QA Group as package as been orphaned.
  * Upload to unstable.
  * Make Vcs-* point to SVN trunk.

  [ Chris Lamb ]
  * Remove timestamp in generated manpage to help build reproducibility
    (Closes: #776143).

  [ Maxime Chatelle ]
  * Patches names normalized.
  * Removes executable bit from patches.

 -- Jérémy Bobbio <lunar@debian.org>  Tue, 30 Jun 2015 11:42:26 +0200

docbook-to-man (1:2.0.0-33) experimental; urgency=low

  * New maintainer (Closes: #549475).
  * Bump up Policy to 3.9.6, no changes needed.
  * debian/copyright: now follows
    https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
  * Adds patch to fix https://bugs.debian.org/716055 (Closes: #716055).
  * debian/control: Adds paragraph to suggest more up-to-date tools for
    new projects.
  * debian/control: Uses canonical VCS URLs.

