=== debian/control ===
Source: docbook-to-man
Section: text
Priority: optional
Maintainer: Chris Lamb <lamby@debian.org>
Build-Depends:
 debhelper-compat (= 13),
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/lamby/pkg-docbook-to-man.git
Vcs-Browser: https://salsa.debian.org/lamby/pkg-docbook-to-man
Homepage: https://www.oasis-open.org/docbook/tools/dtm/
Rules-Requires-Root: no

Package: docbook-to-man
Architecture: any
Depends:
 docbook,
 opensp,
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: foreign
Description: converter from DocBook SGML into roff man macros
 docbook-to-man is a batch converter that transforms UNIX-style manpages from
 the DocBook SGML format into nroff/troff man macros.
 .
 This is not the original version by Fred Dalrymple, but one with the
 modifications by David Bolen.
 .
 docbook-to-man lacks support for internationalization and utf-8. Other
 tools like docbook2man or docbook-xml with xsltproc are better suited for
 new projects.
