=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND= -Wall -fcommon -std=gnu17
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- \
		CFLAGS="$(CFLAGS) $(CPPFLAGS)" \
		LDFLAGS="$(LDFLAGS)" \
		ROOT=/usr

override_dh_auto_install:
	$(MAKE) install ROOT=$(CURDIR)/debian/docbook-to-man/usr

override_dh_auto_clean:
	$(MAKE) clobber
