=== debian/tests/control ===
Tests: 0001-wikipediafs
Depends:
 shunit2:native,
 @,
